<?php

use Illuminate\Database\Seeder;

class MainTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {              
        $root = new \App\Models\User([
            'email' => "admin@example.com",
            'password' => bcrypt("pomme"),
        ]);
        $root->save();
        $moderator = new \App\Models\User([
            'email' => "moderator@example.com",
            'password' => bcrypt("pomme"),
        ]);
        $moderator->save();
        $lambda = new \App\Models\User([
            'email' => "lambda@example.com",
            'password' => bcrypt("pomme"),
        ]);
        $lambda->save();
               
        $admin = new \App\Models\Group([
           'name' => 'Administrator', 
        ]);
        $admin->save();        
        $moderator = new \App\Models\Group([
           'name' => 'Moderator', 
        ]);                
        $moderator->save();
        $membre = new \App\Models\Group([
           'name' => 'Member', 
        ]);                
        $membre->save();
        
        $admin->users()->save($root);
        $root->groups()->save($moderator);
        $lambda->groups()->save($membre);

        $news = new \App\Models\Resource([
            'name' => 'News',
        ]);
        $news->save();
        
        $admin->resources()->save($news, ['role' => \App\Models\Role::CREATE]);
        $admin->resources()->save($news, ['role' => \App\Models\Role::READ]);
        $admin->resources()->save($news, ['role' => \App\Models\Role::UPDATE]);
        $admin->resources()->save($news, ['role' => \App\Models\Role::DELETE]);
        
        $news->groups()->save($moderator, ['role' => \App\Models\Role::CREATE]);
        $news->groups()->save($moderator, ['role' => \App\Models\Role::READ]);
        $news->groups()->save($moderator, ['role' => \App\Models\Role::UPDATE]);
                               
        $news1 = new \App\Models\News([
            'title' => 'Hello world!',
            'body' => 'Test <br> hello <h1>world</h1>',
        ]);
        $root->news()->save($news1);        
    }
}
