<?php

/*
|--------------------------------------------------------------------------
| Authentification
|--------------------------------------------------------------------------
|
*/
Route::get('/auth/login', 'AuthController@form');
Route::get('/auth/oauth_google', 'AuthController@redirectGoogleOauth');
Route::get('/auth/oauth_github', 'AuthController@redirectGithubOauth');
Route::get('/auth/oauth_google_callback', 'AuthController@oauthGoogle');
Route::get('/auth/oauth_github_callback', 'AuthController@oauthGithub');
Route::post('/auth/check', 'AuthController@check');
/*
|--------------------------------------------------------------------------
| Authentificated
|--------------------------------------------------------------------------
|
*/

Route::prefix('/v1/')->group(function () {
        Route::resource('news/', 'NewsController');
        Route::get('search', 'NewsController@search');
    });
    
    
Route::middleware(['MyAuth'])->group(function () {
    
    Route::get('/auth/logout', 'AuthController@logout');
    
    Route::get('/secure', function () {  
        return Auth::user()->email . ' access granted';        
    });
    
    
    
    
});

Route::get('/', function () {
    return 'Hello World';
});

// affichage des vignettes de la galerie
Route::get('/album/{id}', function ($id) {    
    return "j'affiche l'album n°{$id}"; 
});
// affichage d’une photo.
Route::get('/album/{idAlbum}/photo/{idPhoto}', function ($idAlbum, $idPhoto) {    
    return "j'affiche la photo {$idPhoto} de l'album n°{$idAlbum}"; 
});

// ajout d’une photo à la galerie
Route::post('/album/{idAlbum}/photo', function ($idAlbum, $idPhoto) {    
    return "j'affiche la photo {$idPhoto} de l'album n°{$idAlbum}"; 
});

//Route::get('/utf8/test', function () {    
//    $str = normalizer_normalize("e\xCC\x81le\xCC\x80ve", Normalizer::NFC);
//    dd($str == "élève");
//    dd([        
//        "élève == e\xCC\x81le\xCC\x80ve" => "élève" === "e\xCC\x81le\xCC\x80ve",
//        "élève strlen" => strlen("élève"),
//        "élève mb_strlen" => mb_strlen("élève"),
//        "élève grapheme_strlen" => grapheme_strlen("élève"),
//        "e\xCC\x81le\xCC\x80ve strlen" => strlen("e\xCC\x81le\xCC\x80ve"),
//        "e\xCC\x81le\xCC\x80ve mb_strlen" => mb_strlen("e\xCC\x81le\xCC\x80ve"),
//        "e\xCC\x81le\xCC\x80ve grapheme_strlen" => grapheme_strlen("e\xCC\x81le\xCC\x80ve"),        
//    ]);
//    
//});

Route::get('utf8/ex1', 'Utf8Controller@ex1');
Route::get('utf8/ex2', 'Utf8Controller@ex2');
Route::get('utf8/ex3', 'Utf8Controller@ex3');

//Route::get('photo/search', 'PhotoController@search');
//Route::resource('photo', 'PhotoController');







